package com.aconiac.apg.domain;
/**
 * Algorithms to supply to the Hasher
 */
public enum HashAlg {
    MD5("MD5"),
    SHA1("SHA1"),
    SHA256("SHA-256"),
    SHA512("SHA-512");

    private final String algName;

    private HashAlg(String algName) {
        this.algName = algName;
    }

    public String toString() { return algName; }
};
