package com.aconiac.apg.test;
import org.junit.*;
import static org.junit.Assert.*;
import com.aconiac.apg.domain.*;

public class TestHasLowCaseCharsRule {
    private Rule r;
    @Before public void setup() {
        r = new HasLowCaseCharsRule();
    }

    @Test public void testShouldValidateAStringWithAtLeastOneLowChar() {
        assertTrue(r.isValid("ab3t6"));
    }

    @Test public void testShouldNotValidateAStringWithNoLowChars() {
        assertTrue(!r.isValid("ABC"));
    }    

    /** This wrapper is only required for running the old JUnit 3.8
     * graphical user interface on new JUnit 4 test cases */
    public static junit.framework.Test suite() {
        return new junit.framework.JUnit4TestAdapter(TestHasLowCaseCharsRule.class);
    } 
}
