package com.aconiac.apg.test;
import org.junit.*;
import static org.junit.Assert.*;
import com.aconiac.apg.domain.*;

public class TestHasNumbersRule {
    private Rule r;
    @Before public void setup() {
        r = new HasNumbersRule();
    }

    @Test public void testShouldValidateAStringWithAtLeastOneNumber() {
        assertTrue(r.isValid("ab3t6"));
    }

    @Test public void testShouldNotValidateAStringWithNoNumbers() {
        assertTrue(!r.isValid("abc"));
    }    

    /** This wrapper is only required for running the old JUnit 3.8
     * graphical user interface on new JUnit 4 test cases */
    public static junit.framework.Test suite() {
        return new junit.framework.JUnit4TestAdapter(TestHasNumbersRule.class);
    } 
}
