package com.aconiac.apg.domain;
public class SingleAppearanceCharRule implements Rule {
    public boolean isValid(String password) {
        if(password.length() == 1)
            return true;

        char c;
        for(int i = 0; i < password.length(); i++) {
            c = password.charAt(i);
            if(countOccurences(password, ""+c) > 1)
                return false;
        }
        return true;
    }

	private int countOccurences(String password, String c) {	
		int pos = -1, oldpos = -1, count = 0;
		while(true) {
			oldpos = ++pos;
			pos = password.indexOf(c, pos);
			if(pos != -1)
				count++;
			else 
				pos = oldpos+1;

			if(pos >= password.length())
				break;
		}
		return count;
 	}
}